@view-transition {
    navigation: auto;
}
* {
    margin:0;
    padding:0;
    box-sizing:border-box;
}
body{
    font-family:Arial, Helvetica, sans-serif;
    background:#f4f4f4;
    color:#222;
}
header{
    /*background:#1b4f72;*/
    background: linear-gradient(to left, #5f8dee, #2c10aa);
    color:white;
    padding:25px;
}
nav{
    margin-top:15px;
}

nav a{
    color:white;
    text-decoration:none;
    margin-right:20px;
    font-size:18px;
}
nav a:hover{
    /*text-decoration:underline;*/
    color:yellowgreen;
    font-weight: 800;
}
main{
    max-width:900px;
    margin:50px auto;
    padding:30px;
    background:white;
    border-radius:12px;
    box-shadow:0 0 20px rgba(0,0,0,.15);
}

img{
    width:100%;
    border-radius:12px;
    margin:20px 0;
}
img:hover{
    transform: translateY(-4px);
}
h2{
    margin-bottom:20px;
}
@view-transition {
    navigation: auto;
}
::view-transition-group(page-content) {
 animation-duration: 1s;
 animation-timing-function: ease;
}
::view-transition-old(page-content){
 animation-duration: slide-out;
}
::view-transition-new(page-content){
 animation-duration: slide-in;
}
main {
    view-transition-name: page-content;
}

@keyframes slide-out {
    to {
        translate: -100vw;
    }
}
@keyframes slide-in {
    to {
        translate: 100vw;
    }
}
footer {
  text-align: center;
  padding: 3px;
  background-color: DarkSalmon;
  color: white;
}
